Subject: RE: [Sipping] SIP Proxy servers -- security encryption protocol

From: [email-masked]
Date: Fri, 20 Feb 2004 10:56:55 +0530

Hi
    For secured transactions you could use TLS i.e using sips: instead
of normal sip: url.
Alternatively IPSec also could be used at IP Layer
and for RTP security you could use SRTP (draft-ietf-avt-srtp-09.txt)
protocol.
 
Regards
Ranjit

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Scoggins, Sophia
Sent: Friday, February 20, 2004 10:45 AM
To: [email-masked]'
Subject: [Sipping] SIP Proxy servers -- security encryption protocol

My group is looking for some security encryption protocol for both SIP
and RTP streams for CPE. We were wondering what encryption protocol that
most SIP proxy servers currently support or intend to support? Would you
please just send your reply to me?

Thanks.

Regards,

[email-masked]

---

From: Cullen Jennings <[email-masked]>
Date: Sun, 22 Feb 2004 12:39:57 -0800

And the crypto that is typically being recommended and folks are
implementing is RSA for asymmetric key, SHA1 for hash, and 3DES or AES for
encryption. Some of the early stuff said 3DES because the RFC would have
blocked on AES work. It¹s a long debate with no clear answer between AES and
3DES (and let¹s not repeat it on this list) but most SIP implementers seem
to be doing AES or both AES and 3DES.

On 2/19/04 9:26 PM, "[email-masked]"
<[email-masked]> wrote:

> Hi
>     For secured transactions you could use TLS i.e using sips: instead of
> normal sip: url.
> and for RTP security you could use SRTP (draft-ietf-avt-srtp-09.txt) protocol.
>  
> Regards
> Ranjit
>>  
>>  
>> From:  [email-masked] [mailto:[email-masked]] On Behalf Of
>> Scoggins, Sophia
>> My group is looking for some  security encryption protocol for both SIP and
>> RTP streams for CPE. We were  wondering what encryption protocol that most
>> SIP proxy servers currently  support or intend to support? Would you please
>> just send your reply to  me?
>>  
>>  
>>  
>> Thanks.
>>  
>>  
>>  
>> Regards,
>>  
>> [email-masked]
>